### Constructor

# Goa PasswordBasedSkeleton new

since: 3.6.0

#### Declaration [src]

    GoaPasswordBased*
    goa_password_based_skeleton_new (
      void
    )

#### Description [src]

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.PasswordBased.

Available since: 3.6.0

#### Return value

Type: `GoaPasswordBasedSkeleton`

The skeleton object.

The caller of the function takes ownership of the data, and is responsible for freeing it.